=== modified file 'softwarecenter/ui/gtk3/widgets/reviews.py'
--- softwarecenter/ui/gtk3/widgets/reviews.py	2012-01-18 18:21:04 +0000
+++ softwarecenter/ui/gtk3/widgets/reviews.py	2012-03-08 22:33:18 +0000
@@ -32,21 +32,27 @@
 from stars import Star
 from softwarecenter.utils import (
     get_person_from_config,
-    get_nice_date_string, 
-    upstream_version_compare, 
+    get_nice_date_string,
+    upstream_version_compare,
     upstream_version,
     utf8,
     )
 
 
-from softwarecenter.i18n import get_languages, langcode_to_name
+from softwarecenter.i18n import (
+    get_languages,
+    langcode_to_name,
+    )
 
-from softwarecenter.netstatus import network_state_is_connected, get_network_watcher
+from softwarecenter.netstatus import (
+    network_state_is_connected,
+    get_network_watcher,
+    )
 from softwarecenter.enums import (
-    PkgStates, 
+    PkgStates,
     ReviewSortMethods,
     )
-    
+
 from softwarecenter.backend.reviews import UsefulnessCache
 
 from softwarecenter.ui.gtk3.em import StockEms
@@ -58,33 +64,34 @@
 (COL_LANGNAME,
  COL_LANGCODE) = range(2)
 
+
 class UIReviewsList(Gtk.VBox):
 
     __gsignals__ = {
-        'new-review':(GObject.SignalFlags.RUN_FIRST,
+        'new-review': (GObject.SignalFlags.RUN_FIRST,
                     None,
                     ()),
-        'report-abuse':(GObject.SignalFlags.RUN_FIRST,
+        'report-abuse': (GObject.SignalFlags.RUN_FIRST,
                     None,
                     (GObject.TYPE_PYOBJECT,)),
-        'submit-usefulness':(GObject.SignalFlags.RUN_FIRST,
+        'submit-usefulness': (GObject.SignalFlags.RUN_FIRST,
                     None,
                     (GObject.TYPE_PYOBJECT, bool)),
-        'modify-review':(GObject.SignalFlags.RUN_FIRST,
-                    None,
-                    (GObject.TYPE_PYOBJECT,)),
-        'delete-review':(GObject.SignalFlags.RUN_FIRST,
-                    None,
-                    (GObject.TYPE_PYOBJECT,)),
-        'more-reviews-clicked':(GObject.SignalFlags.RUN_FIRST,
+        'modify-review': (GObject.SignalFlags.RUN_FIRST,
+                    None,
+                    (GObject.TYPE_PYOBJECT,)),
+        'delete-review': (GObject.SignalFlags.RUN_FIRST,
+                    None,
+                    (GObject.TYPE_PYOBJECT,)),
+        'more-reviews-clicked': (GObject.SignalFlags.RUN_FIRST,
                                 None,
-                                () ),
-        'different-review-language-clicked':(GObject.SignalFlags.RUN_FIRST,
+                                ()),
+        'different-review-language-clicked': (GObject.SignalFlags.RUN_FIRST,
                                              None,
-                                             (GObject.TYPE_STRING,) ),
-        'review-sort-changed':(GObject.SignalFlags.RUN_FIRST,
+                                             (GObject.TYPE_STRING,)),
+        'review-sort-changed': (GObject.SignalFlags.RUN_FIRST,
                                None,
-                               (GObject.TYPE_INT,) ),
+                               (GObject.TYPE_INT,)),
     }
 
     def __init__(self, parent):
@@ -109,7 +116,7 @@
         label.set_alignment(0, 0.5)
         self.pack_start(label, False, False, 0)
 
-        # header 
+        # header
         self.header = Gtk.HBox()
         self.header.set_spacing(StockEms.MEDIUM)
 
@@ -136,8 +143,8 @@
         self.review_language.add_attribute(cell, "text", COL_LANGNAME)
         self.review_language_model = Gtk.ListStore(str, str)
         for lang in get_languages():
-            self.review_language_model.append( (langcode_to_name(lang), lang) )
-        self.review_language_model.append( (_('Any language'), 'any') )
+            self.review_language_model.append((langcode_to_name(lang), lang))
+        self.review_language_model.append((_('Any language'), 'any'))
         self.review_language.set_model(self.review_language_model)
         self.review_language.set_active(0)
         self.review_language.connect(
@@ -153,10 +160,9 @@
         self.no_network_msg = None
         watcher = get_network_watcher()
         watcher.connect(
-            "changed", lambda w,s: self._on_network_state_change())
+            "changed", lambda w, s: self._on_network_state_change())
 
         self.show_all()
-        return
 
     def _on_network_state_change(self):
         is_connected = network_state_is_connected()
@@ -171,7 +177,7 @@
 
     def _on_button_new_clicked(self, button):
         self.emit("new-review")
-    
+
     def _on_sort_method_changed(self, cb):
         selection = self.sort_combo.get_active()
         if selection == self._current_sort:
@@ -179,7 +185,7 @@
         else:
             self._current_sort = selection
             self.emit("review-sort-changed", selection)
-    
+
     def update_useful_votes(self, my_votes):
         self.useful_votes = my_votes
 
@@ -191,26 +197,25 @@
         if self.reviews:
             for r in self.reviews:
                 pkgversion = self._parent.app_details.version
-                review = UIReview(r, pkgversion, self.logged_in_person, self.useful_votes)
+                review = UIReview(r, pkgversion, self.logged_in_person,
+                    self.useful_votes)
                 self.vbox.pack_start(review, True, True, 0)
-        return
 
     def _be_the_first_to_review(self):
         s = _('Be the first to review it')
         self.new_review.set_label(s)
         self.vbox.pack_start(NoReviewYetWriteOne(), True, True, 0)
         self.vbox.show_all()
-        return
 
     def _install_to_review(self):
-        s = '<small>%s</small>' % _("You need to install this before you can review it")
+        s = ('<small>%s</small>' %
+            _("You need to install this before you can review it"))
         self.install_first_label = Gtk.Label(label=s)
         self.install_first_label.set_use_markup(True)
         self.install_first_label.set_alignment(1.0, 0.5)
         self.header.pack_start(self.install_first_label, False, False, 0)
         self.install_first_label.show()
-        return
-    
+
     # FIXME: this needs to be smarter in the future as we will
     #        not allow multiple reviews for the same software version
     def _any_reviews_current_user(self):
@@ -225,14 +230,14 @@
         m = EmbeddedMessage(title, msg, 'network-offline')
         self.vbox.pack_start(m, True, True, 0)
         return m
-        
+
     def _clear_vbox(self, vbox):
         children = vbox.get_children()
         for child in children:
             child.destroy()
 
-    # FIXME: instead of clear/add_reviews/configure_reviews_ui we should provide
-    #        a single show_reviews(reviews_data_list)
+    # FIXME: instead of clear/add_reviews/configure_reviews_ui we should
+    #        provide a single show_reviews(reviews_data_list)
     def configure_reviews_ui(self):
         """ this needs to be called after add_reviews, it will actually
             show the reviews
@@ -243,7 +248,7 @@
             self.install_first_label.hide()
         except AttributeError:
             pass
-        
+
         self._clear_vbox(self.vbox)
 
         # network sensitive stuff, only show write_review if connected,
@@ -253,14 +258,14 @@
 
         # only show new_review for installed stuff
         is_installed = (self._parent.app_details and
-                        self._parent.app_details.pkg_state == PkgStates.INSTALLED)
+            self._parent.app_details.pkg_state == PkgStates.INSTALLED)
 
         # show/hide new review button
         if is_installed:
             self.new_review.show()
         else:
             self.new_review.hide()
-            # if there are no reviews, the install to review text appears 
+            # if there are no reviews, the install to review text appears
             # where the reviews usually are (LP #823255)
             if self.reviews:
                 self._install_to_review()
@@ -301,7 +306,6 @@
         # always run this here to make update the current ui based on the
         # network state
         self._on_network_state_change()
-        return
 
     def _on_more_reviews_clicked(self, button):
         # remove buttn and emit signal
@@ -323,11 +327,10 @@
         ids = []
         for review in self.reviews:
             ids.append(review.id)
-        return ids 
+        return ids
 
     def add_review(self, review):
         self.reviews.append(review)
-        return
 
     def replace_review(self, review):
         for r in self.reviews:
@@ -336,14 +339,12 @@
                 self.reviews.remove(r)
                 self.reviews.insert(pos, review)
                 break
-        return
 
     def remove_review(self, review):
         for r in self.reviews:
             if r.id == review.id:
                 self.reviews.remove(r)
                 break
-        return
 
     def clear(self):
         self.reviews = []
@@ -358,7 +359,7 @@
             self.install_first_label.hide()
         except AttributeError:
             pass
-        
+
         a = Gtk.Alignment.new(0.5, 0.5, 1.0, 1.0)
         hb = Gtk.HBox(spacing=12)
         hb.show()
@@ -380,26 +381,23 @@
 
         self.vbox.pack_start(a, False, False, 0)
         self.vbox.show()
-        return
 
     def hide_spinner(self):
         for child in self.vbox.get_children():
             if isinstance(child, Gtk.Alignment):
                 child.destroy()
-        return
 
     def draw(self, cr, a):
         for r in self.vbox:
             if isinstance(r, (UIReview)):
                 r.draw(cr, r.get_allocation())
-        return
 
 
 class UIReview(Gtk.VBox):
     """ the UI for a individual review including all button to mark
         useful/inappropriate etc
     """
-    def __init__(self, review_data=None, app_version=None, 
+    def __init__(self, review_data=None, app_version=None,
                  logged_in_person=None, useful_votes=None):
         GObject.GObject.__init__(self)
         self.set_spacing(StockEms.SMALL)
@@ -420,15 +418,15 @@
         self.delete_error_img = Gtk.Image()
         self.delete_error_img.set_from_stock(
                                 Gtk.STOCK_DIALOG_ERROR,
-                                Gtk.IconSize.SMALL_TOOLBAR) 
+                                Gtk.IconSize.SMALL_TOOLBAR)
         self.submit_error_img = Gtk.Image()
         self.submit_error_img.set_from_stock(
                                 Gtk.STOCK_DIALOG_ERROR,
                                 Gtk.IconSize.SMALL_TOOLBAR)
         self.submit_status_spinner = Gtk.Spinner()
-        self.submit_status_spinner.set_size_request(12,12)
+        self.submit_status_spinner.set_size_request(12, 12)
         self.delete_status_spinner = Gtk.Spinner()
-        self.delete_status_spinner.set_size_request(12,12)
+        self.delete_status_spinner.set_size_request(12, 12)
         self.acknowledge_error = Gtk.Button()
         label = Gtk.Label()
         label.set_markup('<small>%s</small>' % _("OK"))
@@ -465,7 +463,6 @@
 
     def _on_realize(self, widget, *content):
         self._build(*content)
-        return
 
     def _on_report_abuse_clicked(self, button):
         reviews = self.get_ancestor(UIReviewsList)
@@ -476,46 +473,54 @@
         reviews = self.get_ancestor(UIReviewsList)
         if reviews:
             reviews.emit("modify-review", self.id)
-    
+
     def _on_useful_clicked(self, btn, is_useful):
         reviews = self.get_ancestor(UIReviewsList)
         if reviews:
             self._usefulness_ui_update('progress')
             reviews.emit("submit-usefulness", self.id, is_useful)
-            
-    def _on_error_acknowledged(self, button, current_user_reviewer, useful_total, useful_favorable):
+
+    def _on_error_acknowledged(self, button, current_user_reviewer,
+        useful_total, useful_favorable):
         self.usefulness_error = False
-        self._usefulness_ui_update('renew', current_user_reviewer, useful_total, useful_favorable)
-    
-    def _usefulness_ui_update(self, type, current_user_reviewer=False, useful_total=0, useful_favorable=0):
+        self._usefulness_ui_update('renew', current_user_reviewer,
+            useful_total, useful_favorable)
+
+    def _usefulness_ui_update(self, type, current_user_reviewer=False,
+        useful_total=0, useful_favorable=0):
         self._hide_usefulness_elements()
         #print "_usefulness_ui_update: %s" % type
         if type == 'renew':
-            self._build_usefulness_ui(current_user_reviewer, useful_total, useful_favorable, self.useful_votes)
+            self._build_usefulness_ui(current_user_reviewer, useful_total,
+                useful_favorable, self.useful_votes)
             return
         if type == 'progress':
-            self.status_label = Gtk.Label.new("<small>%s</small>" % _(u"Submitting now\u2026"))
+            self.status_label = Gtk.Label.new(
+                "<small>%s</small>" % _(u"Submitting now\u2026"))
             self.status_label.set_use_markup(True)
-            self.status_box.pack_start(self.submit_status_spinner, False, False, 0)
+            self.status_box.pack_start(self.submit_status_spinner, False,
+                False, 0)
             self.submit_status_spinner.show()
             self.submit_status_spinner.start()
-            self.status_label.set_padding(2,0)
+            self.status_label.set_padding(2, 0)
             self.status_box.pack_start(self.status_label, False, False, 0)
             self.status_label.show()
         if type == 'error':
             self.submit_error_img.show()
-            self.status_label = Gtk.Label.new("<small>%s</small>" % _("Error submitting usefulness"))
+            self.status_label = Gtk.Label.new(
+                "<small>%s</small>" % _("Error submitting usefulness"))
             self.status_label.set_use_markup(True)
             self.status_box.pack_start(self.submit_error_img, False, False, 0)
-            self.status_label.set_padding(2,0)
+            self.status_label.set_padding(2, 0)
             self.status_box.pack_start(self.status_label, False, False, 0)
             self.status_label.show()
             self.acknowledge_error.show()
             self.status_box.pack_start(self.acknowledge_error, False, False, 0)
-            self.acknowledge_error.connect('clicked', self._on_error_acknowledged, current_user_reviewer, useful_total, useful_favorable)
+            self.acknowledge_error.connect('clicked',
+                self._on_error_acknowledged, current_user_reviewer,
+                useful_total, useful_favorable)
         self.status_box.show()
         self.footer.pack_start(self.status_box, False, False, 0)
-        return
 
     def _hide_usefulness_elements(self):
         """ hide all usefulness elements """
@@ -526,13 +531,13 @@
             widget = getattr(self, attr, None)
             if widget:
                 widget.hide()
-        return
 
     def _get_datetime_from_review_date(self, raw_date_str):
         # example raw_date str format: 2011-01-28 19:15:21
         return datetime.datetime.strptime(raw_date_str, '%Y-%m-%d %H:%M:%S')
 
-    def _delete_ui_update(self, type, current_user_reviewer=False, action=None):
+    def _delete_ui_update(self, type, current_user_reviewer=False,
+        action=None):
         self._hide_delete_elements()
         if type == 'renew':
             self._build_delete_flag_ui(current_user_reviewer)
@@ -540,35 +545,42 @@
         if type == 'progress':
             self.delete_status_spinner.start()
             self.delete_status_spinner.show()
-            self.delete_status_label = Gtk.Label("<small><b>%s</b></small>" % _(u"Deleting now\u2026"))
-            self.delete_status_box.pack_start(self.delete_status_spinner, False, False, 0)
+            self.delete_status_label = Gtk.Label(
+                "<small><b>%s</b></small>" % _(u"Deleting now\u2026"))
+            self.delete_status_box.pack_start(self.delete_status_spinner,
+                False, False, 0)
             self.delete_status_label.set_use_markup(True)
-            self.delete_status_label.set_padding(2,0)
-            self.delete_status_box.pack_start(self.delete_status_label, False, False, 0)
+            self.delete_status_label.set_padding(2, 0)
+            self.delete_status_box.pack_start(self.delete_status_label, False,
+                False, 0)
             self.delete_status_label.show()
         if type == 'error':
             self.delete_error_img.show()
-            # build full strings for easier i18n 
+            # build full strings for easier i18n
             if action == 'deleting':
                 s = _("Error deleting review")
             elif action == 'modifying':
                 s = _("Error modifying review")
             else:
-                # or unknown error, but we are in string freeze, 
+                # or unknown error, but we are in string freeze,
                 # should never happen anyway
                 s = _("Internal Error")
-            self.delete_status_label = Gtk.Label("<small><b>%s</b></small>" % s)
-            self.delete_status_box.pack_start(self.delete_error_img, False, False, 0)
+            self.delete_status_label = Gtk.Label(
+                "<small><b>%s</b></small>" % s)
+            self.delete_status_box.pack_start(self.delete_error_img,
+                False, False, 0)
             self.delete_status_label.set_use_markup(True)
-            self.delete_status_label.set_padding(2,0)
-            self.delete_status_box.pack_start(self.delete_status_label, False, False, 0)
+            self.delete_status_label.set_padding(2, 0)
+            self.delete_status_box.pack_start(self.delete_status_label,
+                False, False, 0)
             self.delete_status_label.show()
             self.delete_acknowledge_error.show()
-            self.delete_status_box.pack_start(self.delete_acknowledge_error, False, False, 0)
-            self.delete_acknowledge_error.connect('clicked', self._on_delete_error_acknowledged, current_user_reviewer)
+            self.delete_status_box.pack_start(self.delete_acknowledge_error,
+                False, False, 0)
+            self.delete_acknowledge_error.connect('clicked',
+                self._on_delete_error_acknowledged, current_user_reviewer)
         self.delete_status_box.show()
         self.footer.pack_end(self.delete_status_box, False, False, 0)
-        return
 
     def _on_delete_clicked(self, btn):
         reviews = self.get_ancestor(UIReviewsList)
@@ -583,16 +595,16 @@
     def _hide_delete_elements(self):
         """ hide all delete elements """
         for attr in ["complain", "edit", "delete", "delete_status_spinner",
-                     "delete_error_img", "delete_status_box", "delete_status_label",
-                     "delete_acknowledge_error", "flagbox"
+                     "delete_error_img", "delete_status_box",
+                     "delete_status_label", "delete_acknowledge_error",
+                     "flagbox"
                      ]:
             o = getattr(self, attr, None)
             if o:
                 o.hide()
-        return
 
     def _build(self, review_data, app_version, logged_in_person, useful_votes):
-        # all the attributes of review_data may need markup escape, 
+        # all the attributes of review_data may need markup escape,
         # depening on if they are used as text or markup
         self.id = review_data.id
         self.person = review_data.reviewer_username
@@ -610,15 +622,15 @@
         # upstream version
         version = GObject.markup_escape_text(upstream_version(review_version))
         # default string
-        version_string = _("For version %(version)s") % { 
-            'version' : version,
+        version_string = _("For version %(version)s") % {
+            'version': version,
             }
         # If its for the same version, show it as such
         if (review_version and
             app_version and
             upstream_version_compare(review_version, app_version) == 0):
-            version_string = _("For this version (%(version)s)") % { 
-                    'version' : version,
+            version_string = _("For this version (%(version)s)") % {
+                    'version': version,
                     }
 
         m = '<small>%s</small>'
@@ -663,31 +675,34 @@
             current_user_reviewer = True
 
         self._build_usefulness_ui(current_user_reviewer, useful_total,
-                                  useful_favorable, useful_votes, useful_submit_error)
+                                  useful_favorable, useful_votes,
+                                  useful_submit_error)
 
         self.flagbox = Gtk.HBox()
         self.flagbox.set_spacing(4)
-        self._build_delete_flag_ui(current_user_reviewer, delete_error, modify_error)
+        self._build_delete_flag_ui(current_user_reviewer, delete_error,
+            modify_error)
         self.footer.pack_end(self.flagbox, False, False, 0)
 
         # connect network signals
         self.connect("realize", lambda w: self._on_network_state_change())
         watcher = get_network_watcher()
         watcher.connect(
-            "changed", lambda w,s: self._on_network_state_change())
-        return
-    
-    def _build_usefulness_ui(self, current_user_reviewer, useful_total, 
-                             useful_favorable, useful_votes, usefulness_submit_error=False):
+            "changed", lambda w, s: self._on_network_state_change())
+
+    def _build_usefulness_ui(self, current_user_reviewer, useful_total,
+                             useful_favorable, useful_votes,
+                             usefulness_submit_error=False):
         if usefulness_submit_error:
-            self._usefulness_ui_update('error', current_user_reviewer, 
+            self._usefulness_ui_update('error', current_user_reviewer,
                                        useful_total, useful_favorable)
         else:
             already_voted = useful_votes.check_for_usefulness(self.id)
-            #get correct label based on retrieved usefulness totals and 
+            #get correct label based on retrieved usefulness totals and
             # if user is reviewer
             self.useful = self._get_usefulness_label(
-                current_user_reviewer, useful_total, useful_favorable, already_voted)
+                current_user_reviewer, useful_total, useful_favorable,
+                already_voted)
             self.useful.set_use_markup(True)
             #vertically centre so it lines up with the Yes and No buttons
             self.useful.set_alignment(0, 0.5)
@@ -714,7 +729,6 @@
                 self.likebox.pack_start(self.yes_no_separator, False, False, 0)
                 self.likebox.pack_start(self.no_like, False, False, 0)
                 self.footer.pack_start(self.likebox, False, False, 0)
-        return
 
     def _on_network_state_change(self):
         """ show/hide widgets based on network connection state """
@@ -732,10 +746,10 @@
             # actually submit anything without network
             self.useful.hide()
             self.complain.hide()
-    
-    def _get_usefulness_label(self, current_user_reviewer, 
-                              useful_total,  useful_favorable, already_voted):
-        '''returns Gtk.Label() to be used as usefulness label depending 
+
+    def _get_usefulness_label(self, current_user_reviewer,
+                              useful_total, useful_favorable, already_voted):
+        '''returns Gtk.Label() to be used as usefulness label depending
            on passed in parameters
         '''
         if already_voted == None:
@@ -751,9 +765,10 @@
                     "found this review helpful.",
                     "%(useful_favorable)s of %(useful_total)s people "
                     "found this review helpful.",
-                    useful_total) % { 'useful_total' : useful_total,
-                                    'useful_favorable' : useful_favorable,
-                                    }
+                    useful_total) % {
+                        'useful_total': useful_total,
+                        'useful_favorable': useful_favorable,
+                        }
             else:
                 # user has not already voted for the review
                 s = gettext.ngettext(
@@ -761,9 +776,10 @@
                     "found this review helpful. Did you?",
                     "%(useful_favorable)s of %(useful_total)s people "
                     "found this review helpful. Did you?",
-                    useful_total) % { 'useful_total' : useful_total,
-                                    'useful_favorable' : useful_favorable,
-                                    }
+                    useful_total) % {
+                        'useful_total': useful_total,
+                        'useful_favorable': useful_favorable,
+                        }
         else:
         #only display these special strings if the user voted either way
             if already_voted:
@@ -775,9 +791,10 @@
                         "found this review helpful, including you",
                         "%(useful_favorable)s of %(useful_total)s people "
                         "found this review helpful, including you.",
-                        useful_total) % { 'useful_total' : useful_total,
-                                    'useful_favorable' : useful_favorable,
-                                    }
+                        useful_total) % {
+                            'useful_total': useful_total,
+                            'useful_favorable': useful_favorable,
+                            }
             else:
                 if useful_total == 1:
                     s = _("You found this review unhelpful.")
@@ -787,17 +804,19 @@
                         "found this review helpful; you did not.",
                         "%(useful_favorable)s of %(useful_total)s people "
                         "found this review helpful; you did not.",
-                        useful_total) % { 'useful_total' : useful_total,
-                                    'useful_favorable' : useful_favorable,
-                                    }
+                        useful_total) % {
+                            'useful_total': useful_total,
+                            'useful_favorable': useful_favorable,
+                            }
 
         m = '<small>%s</small>'
         label = Gtk.Label()
         label.set_name("subtle-label")
         label.set_markup(m % s)
         return label
-        
-    def _build_delete_flag_ui(self, current_user_reviewer, delete_error=False, modify_error=False):
+
+    def _build_delete_flag_ui(self, current_user_reviewer, delete_error=False,
+        modify_error=False):
         if delete_error:
             self._delete_ui_update('error', current_user_reviewer, 'deleting')
         elif modify_error:
@@ -814,16 +833,16 @@
                 self.edit.connect('clicked', self._on_modify_clicked)
                 self.delete.connect('clicked', self._on_delete_clicked)
             else:
-                # Translators: This link is for flagging a review as inappropriate.
-                # To minimize repetition, if at all possible, keep it to a single word.
-                # If your language has an obvious verb, it won't need a question mark.
+                # Translators: This link is for flagging a review as
+                # inappropriate.  To minimize repetition, if at all possible,
+                # keep it to a single word.  If your language has an obvious
+                # verb, it won't need a question mark.
                 self.complain = Link(m % _('Inappropriate?'))
                 self.complain.set_name("subtle-label")
                 self.complain.set_sensitive(network_state_is_connected())
                 self.flagbox.pack_start(self.complain, False, False, 0)
                 self.complain.connect('clicked', self._on_report_abuse_clicked)
             self.flagbox.show_all()
-            return
 
     def _whom_when_markup(self, person, displayname, cur_t):
         nice_date = get_nice_date_string(cur_t)
@@ -851,7 +870,7 @@
         return m
 
     def draw(self, widget, cr):
-        return
+        pass
 
 
 class EmbeddedMessage(UIReview):
@@ -860,7 +879,7 @@
         UIReview.__init__(self)
         self.label = None
         self.image = None
-        
+
         a = Gtk.Alignment.new(0.5, 0.5, 1.0, 1.0)
         self.body.pack_start(a, False, False, 0)
 
@@ -878,16 +897,16 @@
         self.label.set_alignment(0, 0.5)
 
         if title:
-            self.label.set_markup('<b><big>%s</big></b>\n%s' % (title, message))
+            self.label.set_markup('<b><big>%s</big></b>\n%s' %
+                (title, message))
         else:
             self.label.set_markup(message)
 
         hb.pack_start(self.label, True, True, 0)
         self.show_all()
-        return
 
     def draw(self, cr, a):
-        return
+        pass
 
 
 class NoReviewRelaxLanguage(EmbeddedMessage):
@@ -922,7 +941,6 @@
         msg = _('Be the first to contribute a review for this application')
 
         EmbeddedMessage.__init__(self, title, msg, 'text-editor')
-        return
 
 
 def get_test_reviews_window():

=== modified file 'softwarecenter/ui/gtk3/widgets/searchaid.py'
--- softwarecenter/ui/gtk3/widgets/searchaid.py	2011-10-08 17:22:54 +0000
+++ softwarecenter/ui/gtk3/widgets/searchaid.py	2012-03-08 22:33:18 +0000
@@ -10,10 +10,10 @@
 class Suggestions(Gtk.VBox):
 
     __gsignals__ = {
-        "activate-link" : (GObject.SignalFlags.RUN_LAST,
-                              None, 
-                              (GObject.TYPE_PYOBJECT, str),
-                             ),
+        "activate-link": (GObject.SignalFlags.RUN_LAST,
+                          None,
+                          (GObject.TYPE_PYOBJECT, str),
+                          ),
     }
 
     def __init__(self):
@@ -29,28 +29,24 @@
 
         self._labels = []
         self._handlers = []
-        return
 
     def on_link_activate(self, widget, uri):
         self.reset_all()
         self.emit("activate-link", widget, uri)
-        return True #silences the gtk-warning
+        return True  # silences the gtk-warning
 
     def foreach(self, label_func, *args):
-        for label in [self.title,] + self._labels:
+        for label in [self.title] + self._labels:
             label_func(label, *args)
-        return
 
     def set_alignment(self, xalign, yalign):
         self.xalign = xalign
         self.yalign = yalign
 
         self.foreach(Gtk.Label.set_alignment, xalign, yalign)
-        return
 
     def set_title(self, title_markup):
         self.title.set_markup(title_markup)
-        return
 
     def append_suggestion(self, suggestion_markup):
         label = Gtk.Label()
@@ -62,13 +58,12 @@
         self._handlers.append(
                 label.connect("activate-link", self.on_link_activate))
         self._labels.append(label)
-        return
 
     def set_suggestions(self, suggestions):
-        if self._labels: self.reset()
+        if self._labels:
+            self.reset()
         for s in suggestions:
             self.append_suggestion(s)
-        return
 
     def reset(self):
         for label, handler in zip(self._labels, self._handlers):
@@ -77,26 +72,24 @@
 
         self._labels = []
         self._handlers = []
-        return
 
     def reset_all(self):
         self.title.set_text('')
         self.reset()
-        return
 
 
 class SearchAidLogic(object):
 
     HEADER_ICON_NAME = "face-sad"
     HEADER_MARKUP = '<b><big>%s</big></b>'
-    #TRANSLATORS: this is the layout of an indented line starting with a bullet point
+    #TRANSLATORS: this is the layout of an indented
+    # line starting with a bullet point
     BULLET = unicode(_("\t• %s"), 'utf8').encode('utf8')
 
     def __init__(self, pane):
         self.pane = pane
         self.db = pane.db
         self.enquirer = pane.enquirer
-        return
 
     def is_search_aid_required(self, state):
         return (state.search_term and
@@ -115,7 +108,7 @@
                 return category.name
             plain_text = _("%(category_name)s → %(subcategory_name)s")
             usable_text = unicode(plain_text, 'utf8').encode('utf8')
-            return usable_text % {'category_name': category.name, 
+            return usable_text % {'category_name': category.name,
                                   'subcategory_name': state.subcategory.name}
 
         if not category:
@@ -172,7 +165,8 @@
                  "suggestions that may aid you in your search")
 
     def get_include_parent_suggestion_text(self, term, category, state):
-        if not state.subcategory: return None
+        if not state.subcategory:
+            return
 
         enq = self.enquirer
         query = self.db.get_query_list_from_search_entry(
@@ -195,14 +189,13 @@
                  n=enq.nr_apps) % \
                  {'category': category.name, 'n': enq.nr_apps}
             return text
-        return None
 
     def get_unsupported_suggestion_text(self, term, category, state):
         if state.filter is None:
-            return None
+            return
         supported_only = state.filter.get_supported_only()
         if not supported_only:
-            return None
+            return
 
         state.filter.set_supported_only(False)
 
@@ -224,12 +217,11 @@
         if enq.nr_apps > 0:
             text = self.BULLET % gettext.ngettext("Try "
                  "<a href=\"search-unsupported:\">the %(amount)d item "
-                 "that matches</a> in software not maintained by Canonical", 
+                 "that matches</a> in software not maintained by Canonical",
                  "Try <a href=\"search-unsupported:\">the %(amount)d items "
                  "that match</a> in software not maintained by Canonical",
                  enq.nr_apps) % {'amount': enq.nr_apps}
             return text
-        return None
 
     def update_search_help(self, state):
         # do any non toolkit logic here
@@ -238,12 +230,10 @@
         # do toolkit stuff here
         if hasattr(self, 'on_update_search_help'):
             self.on_update_search_help(state)
-        return
 
     def reset(self):
         if hasattr(self, 'on_reset'):
             self.on_reset()
-        return
 
 
 class SearchAid(Gtk.Table, SearchAidLogic):
@@ -259,8 +249,8 @@
         image = Gtk.Image.new_from_icon_name(self.HEADER_ICON_NAME,
                                              Gtk.IconSize.DIALOG)
         self.attach(image,
-                    0, 1, # left_attach, right_attach
-                    0, 1, # top_attach, bottom_attach
+                    0, 1,  # left_attach, right_attach
+                    0, 1,  # top_attach, bottom_attach
                     Gtk.AttachOptions.SHRINK,
                     Gtk.AttachOptions.SHRINK,
                     StockEms.LARGE, 0)
@@ -270,8 +260,8 @@
         self.title.set_use_markup(True)
         self.title.set_alignment(0.0, 0.5)
         self.attach(self.title,
-                    1, 2, # left_attach, right_attach
-                    0, 1, # top_attach, bottom_attach
+                    1, 2,  # left_attach, right_attach
+                    0, 1,  # top_attach, bottom_attach
                     Gtk.AttachOptions.FILL,
                     Gtk.AttachOptions.FILL,
                     StockEms.MEDIUM, 0)
@@ -280,17 +270,15 @@
         self.suggestion = Suggestions()
         self.suggestion.set_alignment(0.0, 0.5)
         self.attach(self.suggestion,
-                    1, 2, # left_attach, right_attach
-                    1, 2, # top_attach, bottom_attach
+                    1, 2,  # left_attach, right_attach
+                    1, 2,  # top_attach, bottom_attach
                     Gtk.AttachOptions.FILL | Gtk.AttachOptions.EXPAND,
                     Gtk.AttachOptions.FILL,
                     StockEms.MEDIUM, StockEms.MEDIUM)
 
         self.suggestion.connect("activate-link", self.on_link_activate)
-        return
 
     def on_update_search_help(self, state):
-
         if not self.is_search_aid_required(state):
             # catchall
             self.pane.app_view.set_visible(True)
@@ -311,17 +299,14 @@
         suggestions_title = self.get_suggestion_title_text(suggestions)
         self.suggestion.set_title(suggestions_title)
         self.suggestion.set_suggestions(suggestions)
-        return
 
     def on_reset(self):
         self.suggestion.reset_all()
-        return
 
     def on_link_activate(self, suggestions, link, uri):
         markup = self.HEADER_MARKUP % _('Trying suggestion ...')
         self.title.set_markup(markup)
         GObject.timeout_add(750, self._handle_suggestion_action, uri)
-        return
 
     def _handle_suggestion_action(self, uri):
         self = self.pane
@@ -339,4 +324,3 @@
         # FIXME: add ability to remove categories restriction here
         # True stops event propergation
         return False
-

=== modified file 'softwarecenter/ui/gtk3/widgets/searchentry.py'
--- softwarecenter/ui/gtk3/widgets/searchentry.py	2011-09-27 11:35:12 +0000
+++ softwarecenter/ui/gtk3/widgets/searchentry.py	2012-03-08 22:33:18 +0000
@@ -30,13 +30,12 @@
 class SearchEntry(Gtk.Entry):
 
     # FIMXE: we need "can-undo", "can-redo" signals
-    __gsignals__ = {'terms-changed':(GObject.SignalFlags.RUN_FIRST,
-                                     None,
-                                     (GObject.TYPE_STRING,))}
+    __gsignals__ = {'terms-changed': (GObject.SignalFlags.RUN_FIRST,
+                                      None,
+                                      (GObject.TYPE_STRING,))}
 
     SEARCH_TIMEOUT = 600
 
-
     def __init__(self, icon_theme=None):
         """
         Creates an enhanced IconEntry that triggers a timeout when typing
@@ -52,7 +51,8 @@
 
         self.connect("icon-press", self._on_icon_pressed)
 
-        self.set_icon_from_icon_name(Gtk.EntryIconPosition.PRIMARY, 'edit-find-symbolic')
+        self.set_icon_from_icon_name(Gtk.EntryIconPosition.PRIMARY,
+            'edit-find-symbolic')
         self.set_icon_from_stock(Gtk.EntryIconPosition.SECONDARY, None)
 
         # set sensible atk name
@@ -90,7 +90,7 @@
         text = self._undo_stack.pop()
         self.set_text(text)
         self.set_position(-1)
-    
+
     def redo(self):
         if not self._redo_stack:
             return
@@ -106,7 +106,6 @@
     def set_text(self, text, cursor_to_end=True):
         Gtk.Entry.set_text(self, text)
         self.emit("move-cursor", Gtk.MovementStep.BUFFER_ENDS, 1, False)
-        return
 
     def set_text_with_no_signal(self, text):
         """Clear and do not send a term-changed signal"""
@@ -143,17 +142,21 @@
         Show the clear icon whenever the field is not empty
         """
         if self.get_text() != "":
-            self.set_icon_from_stock(Gtk.EntryIconPosition.SECONDARY, Gtk.STOCK_CLEAR)
+            self.set_icon_from_stock(Gtk.EntryIconPosition.SECONDARY,
+                Gtk.STOCK_CLEAR)
             # reverse the icon if we are in an rtl environment
             if self.get_direction() == Gtk.TextDirection.RTL:
-                pb = self.get_icon_pixbuf(Gtk.EntryIconPosition.SECONDARY).flip(True)
+                pb = self.get_icon_pixbuf(
+                    Gtk.EntryIconPosition.SECONDARY).flip(True)
                 self.set_icon_from_pixbuf(Gtk.EntryIconPosition.SECONDARY, pb)
         else:
             self.set_icon_from_stock(Gtk.EntryIconPosition.SECONDARY, None)
 
+
 def on_entry_changed(self, terms):
     print(terms)
 
+
 def get_test_searchentry_window():
     icons = Gtk.IconTheme.get_default()
     entry = SearchEntry(icons)
@@ -162,12 +165,11 @@
     win = Gtk.Window()
     win.connect("destroy", Gtk.main_quit)
     win.add(entry)
-    win.set_size_request(400,400)
+    win.set_size_request(400, 400)
     win.show_all()
     win.entry = entry
     return win
-    
+
 if __name__ == "__main__":
     win = get_test_searchentry_window()
     Gtk.main()
-    

=== modified file 'softwarecenter/ui/gtk3/widgets/sections.py'
--- softwarecenter/ui/gtk3/widgets/sections.py	2011-08-09 08:47:43 +0000
+++ softwarecenter/ui/gtk3/widgets/sections.py	2012-03-08 22:33:18 +0000
@@ -1,30 +1,32 @@
 #from gi.repository import Gtk
 
-import cairo, os
+import cairo
+import os
 
 from softwarecenter.enums import ViewPages
 from softwarecenter.paths import datadir
 from mkit import floats_from_string
 
+
 class SectionPainter(object):
-    
-    # specify background overlay image and color mappings for available and installed view ids
-    BACKGROUND_IMAGES = {ViewPages.AVAILABLE : cairo.ImageSurface.create_from_png(
-                                                 os.path.join(datadir, 'images/clouds.png')),
-                         ViewPages.INSTALLED : cairo.ImageSurface.create_from_png(
-                                                 os.path.join(datadir, 'images/arrows.png')),
+
+    # specify background overlay image and color mappings for available and
+    # installed view ids
+    BACKGROUND_IMAGES = {
+        ViewPages.AVAILABLE: cairo.ImageSurface.create_from_png(
+            os.path.join(datadir, 'images/clouds.png')),
+        ViewPages.INSTALLED: cairo.ImageSurface.create_from_png(
+            os.path.join(datadir, 'images/arrows.png')),
                         }
-    BACKGROUND_COLORS = {ViewPages.AVAILABLE : floats_from_string('#0769BC'),
-                         ViewPages.INSTALLED : floats_from_string('#aea79f'),
+    BACKGROUND_COLORS = {ViewPages.AVAILABLE: floats_from_string('#0769BC'),
+                         ViewPages.INSTALLED: floats_from_string('#aea79f'),
                         }
 
     def __init__(self):
         self._view_id = None
-        return
-        
+
     def set_view_id(self, id):
         self._view_id = id
-        return
 
     def draw(self, widget, cr):
         # sky
@@ -43,7 +45,7 @@
         #    cr.set_source_surface(s, a.x, 0)
 
         #cr.paint()
-        return
+        pass
 
     def get_background_color(self):
         return self.BACKGROUND_COLORS[self._view_id]

=== modified file 'softwarecenter/ui/gtk3/widgets/spinner.py'
--- softwarecenter/ui/gtk3/widgets/spinner.py	2012-03-01 11:32:37 +0000
+++ softwarecenter/ui/gtk3/widgets/spinner.py	2012-03-08 22:33:18 +0000
@@ -22,6 +22,7 @@
 
 from gi.repository import Gtk, GObject
 
+
 class SpinnerView(Gtk.Viewport):
     """
     a panel that contains a spinner preset to a standard size and centered
@@ -31,7 +32,7 @@
         Gtk.Viewport.__init__(self)
         self.spinner = Gtk.Spinner()
         self.spinner.set_size_request(48, 48)
-        
+
         # use a table for the spinner (otherwise the spinner is massive!)
         spinner_table = Gtk.Table(3, 3, False)
         self.spinner_label = Gtk.Label()
@@ -39,39 +40,40 @@
         spinner_vbox = Gtk.VBox()
         spinner_vbox.pack_start(self.spinner, True, True, 0)
         spinner_vbox.pack_start(self.spinner_label, True, True, 10)
-        spinner_table.attach(spinner_vbox, 1, 2, 1, 2, Gtk.AttachOptions.EXPAND, Gtk.AttachOptions.EXPAND)
-        
+        spinner_table.attach(spinner_vbox, 1, 2, 1, 2,
+            Gtk.AttachOptions.EXPAND, Gtk.AttachOptions.EXPAND)
+
         #~ self.modify_bg(Gtk.StateType.NORMAL, Gdk.Color(1.0, 1.0, 1.0))
         self.add(spinner_table)
         self.set_shadow_type(Gtk.ShadowType.NONE)
-        
+
     def start_and_show(self):
         """
         start the spinner and show it
         """
         self.spinner.start()
         self.spinner.show()
-        
+
     def stop_and_hide(self):
         """
         stop the spinner and hide it
         """
         self.spinner.stop()
         self.spinner.hide()
-        
-    def set_text(self, spinner_text = ""):
+
+    def set_text(self, spinner_text=""):
         """
-        useful for adding/removing/changing the label text after the spinner instance has been created
+        useful for adding/removing/changing the label text after the spinner
+        instance has been created
         """
         self.spinner_label.set_markup('<big>%s</big>' % spinner_text)
 
+
 class SpinnerNotebook(Gtk.Notebook):
     """ this provides a Gtk.Notebook that contains a content page
         and a spinner page.
     """
-
-
-    (CONTENT_PAGE, 
+    (CONTENT_PAGE,
      SPINNER_PAGE) = range(2)
 
     def __init__(self, content, msg=""):
@@ -79,7 +81,7 @@
         self.spinner_view = SpinnerView(msg)
         # its critical to show() the spinner early as otherwise
         # gtk_notebook_set_active_page() will not switch to it
-        self.spinner_view.show() 
+        self.spinner_view.show()
         if not "SOFTWARE_CENTER_DEBUG_TABS" in os.environ:
             self.set_show_tabs(False)
         self.set_show_border(False)
@@ -106,15 +108,16 @@
         self.spinner_view.stop_and_hide()
         self.set_current_page(self.CONTENT_PAGE)
 
-def get_test_spinner_window():  
+
+def get_test_spinner_window():
     label = Gtk.Label("foo")
     spinner_notebook = SpinnerNotebook(label, "random msg")
-    
+
     window = Gtk.Window()
     window.add(spinner_notebook)
     window.set_size_request(600, 500)
     window.set_position(Gtk.WindowPosition.CENTER)
-    window.show_all()    
+    window.show_all()
     window.connect('destroy', Gtk.main_quit)
     spinner_notebook.show_spinner("Loading for 1s ...")
     GObject.timeout_add_seconds(1, lambda: spinner_notebook.hide_spinner())

=== modified file 'test/test_pep8.py'
--- test/test_pep8.py	2012-03-08 17:42:36 +0000
+++ test/test_pep8.py	2012-03-08 22:33:18 +0000
@@ -16,8 +16,7 @@
     packages = [softwarecenter.ui.qml,
                 softwarecenter.ui.gtk3.widgets,
                 softwarecenter.db.pkginfo_impl]
-    exclude = ['spinner.py', 'sections.py', 'searchentry.py', 'searchaid.py',
-        'reviews.py', 'recommendations.py', 'oneconfviews.py', 'menubutton.py',
+    exclude = ['recommendations.py', 'oneconfviews.py', 'menubutton.py',
         'labels.py', 'imagedialog.py', 'exhibits.py', 'description.py',
         'containers.py', 'cellrenderers.py', 'buttons.py', 'backforward.py',
         'apptreeview.py', 'animatedimage.py', 'actionbar.py']

